Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.google
Class GGWidget

    java.lang.Object
      org.jboss.portal.widget.google.GGWidget

All Implemented Interfaces:
  Widget

    public class GGWidget

extends java.lang.Object
implements Widget

A Google Gadget widget. For more details please see the API Developer Guide.

Version:
  $Revision: 10985 $
Author:
  Julien Viet

Constructor Summary
`GGWidget(java.net.URL url, GGWidgetInfo info)`

Method Summary
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDirectoryTitle()`
`java.lang.String` | `getId()`
`GGWidgetInfo` | `getInfo()`
`org.jboss.portal.common.i18n.LocalizedString` | `getTitle()`
`java.lang.String` | `render(java.util.Map<java.lang.String,java.lang.String> parameters)`
`java.lang.String` | `render(java.util.Map<java.lang.String,java.lang.String> parameters, java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GGWidget

    public GGWidget(java.net.URL url,
                    GGWidgetInfo info)

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `Widget`

### getInfo

    public GGWidgetInfo getInfo()

### getTitle

    public org.jboss.portal.common.i18n.LocalizedString getTitle()

  Specified by:
    `getTitle` in interface `Widget`

### getDirectoryTitle

    public org.jboss.portal.common.i18n.LocalizedString getDirectoryTitle()

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Specified by:
    `getDescription` in interface `Widget`

### render

    public java.lang.String render(java.util.Map<java.lang.String,java.lang.String> parameters)

  Specified by:
    `render` in interface `Widget`

### render

    public java.lang.String render(java.util.Map<java.lang.String,java.lang.String> parameters,
                                   java.util.Locale locale)

  Specified by:
    `render` in interface `Widget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD